Index: pacemaker-1.1.19+20181105.ccd6b5b10/pengine/test10/whitebox-fail3.dot
===================================================================
--- pacemaker-1.1.19+20181105.ccd6b5b10.orig/pengine/test10/whitebox-fail3.dot
+++ pacemaker-1.1.19+20181105.ccd6b5b10/pengine/test10/whitebox-fail3.dot
@@ -1,5 +1,6 @@
 digraph "g" {
 "18builder_monitor_0 dvossel-laptop2" -> "18builder_start_0 dvossel-laptop2" [ style = bold]
+"18builder_monitor_0 dvossel-laptop2" -> "all_stopped" [ style = bold]
 "18builder_monitor_0 dvossel-laptop2" [ style=bold color="green" fontcolor="black"]
 "18builder_monitor_30000 dvossel-laptop2" [ style=bold color="green" fontcolor="black"]
 "18builder_start_0 dvossel-laptop2" -> "18builder_monitor_30000 dvossel-laptop2" [ style = bold]
Index: pacemaker-1.1.19+20181105.ccd6b5b10/pengine/test10/whitebox-fail3.exp
===================================================================
--- pacemaker-1.1.19+20181105.ccd6b5b10.orig/pengine/test10/whitebox-fail3.exp
+++ pacemaker-1.1.19+20181105.ccd6b5b10/pengine/test10/whitebox-fail3.exp
@@ -198,6 +198,9 @@
     </action_set>
     <inputs>
       <trigger>
+        <rsc_op id="2" operation="monitor" operation_key="18builder_monitor_0" on_node="dvossel-laptop2" on_node_uuid="24815808"/>
+      </trigger>
+      <trigger>
         <rsc_op id="4" operation="stop" operation_key="FAKE_stop_0" on_node="dvossel-laptop2" on_node_uuid="24815808"/>
       </trigger>
     </inputs>
Index: pacemaker-1.1.19+20181105.ccd6b5b10/pengine/test10/whitebox-ms-ordering-move.dot
===================================================================
--- pacemaker-1.1.19+20181105.ccd6b5b10.orig/pengine/test10/whitebox-ms-ordering-move.dot
+++ pacemaker-1.1.19+20181105.ccd6b5b10/pengine/test10/whitebox-ms-ordering-move.dot
@@ -7,6 +7,7 @@ digraph "g" {
 "container1_stop_0 rhel7-1" -> "all_stopped" [ style = bold]
 "container1_stop_0 rhel7-1" -> "container1_start_0 rhel7-2" [ style = bold]
 "container1_stop_0 rhel7-1" [ style=bold color="green" fontcolor="black"]
+"lsb-dummy_monitor_0 lxc2" -> "all_stopped" [ style = bold]
 "lsb-dummy_monitor_0 lxc2" [ style=bold color="green" fontcolor="black"]
 "lxc-ms-master_demote_0" -> "lxc-ms-master_demoted_0" [ style = bold]
 "lxc-ms-master_demote_0" -> "lxc-ms_demote_0 lxc1" [ style = bold]
@@ -44,12 +45,16 @@ digraph "g" {
 "lxc-ms_stop_0 lxc1" -> "lxc-ms_start_0 lxc1" [ style = bold]
 "lxc-ms_stop_0 lxc1" -> "lxc1_stop_0 rhel7-1" [ style = bold]
 "lxc-ms_stop_0 lxc1" [ style=bold color="green" fontcolor="black"]
+"lxc1_monitor_0 rhel7-2" -> "all_stopped" [ style = bold]
 "lxc1_monitor_0 rhel7-2" -> "lxc1_start_0 rhel7-2" [ style = bold]
 "lxc1_monitor_0 rhel7-2" [ style=bold color="green" fontcolor="black"]
+"lxc1_monitor_0 rhel7-3" -> "all_stopped" [ style = bold]
 "lxc1_monitor_0 rhel7-3" -> "lxc1_start_0 rhel7-2" [ style = bold]
 "lxc1_monitor_0 rhel7-3" [ style=bold color="green" fontcolor="black"]
+"lxc1_monitor_0 rhel7-4" -> "all_stopped" [ style = bold]
 "lxc1_monitor_0 rhel7-4" -> "lxc1_start_0 rhel7-2" [ style = bold]
 "lxc1_monitor_0 rhel7-4" [ style=bold color="green" fontcolor="black"]
+"lxc1_monitor_0 rhel7-5" -> "all_stopped" [ style = bold]
 "lxc1_monitor_0 rhel7-5" -> "lxc1_start_0 rhel7-2" [ style = bold]
 "lxc1_monitor_0 rhel7-5" [ style=bold color="green" fontcolor="black"]
 "lxc1_monitor_30000 rhel7-2" [ style=bold color="green" fontcolor="black"]
@@ -61,19 +66,34 @@ digraph "g" {
 "lxc1_stop_0 rhel7-1" -> "container1_stop_0 rhel7-1" [ style = bold]
 "lxc1_stop_0 rhel7-1" -> "lxc1_start_0 rhel7-2" [ style = bold]
 "lxc1_stop_0 rhel7-1" [ style=bold color="green" fontcolor="black"]
+"lxc2_monitor_0 rhel7-2" -> "all_stopped" [ style = bold]
 "lxc2_monitor_0 rhel7-2" [ style=bold color="green" fontcolor="black"]
+"lxc2_monitor_0 rhel7-3" -> "all_stopped" [ style = bold]
 "lxc2_monitor_0 rhel7-3" [ style=bold color="green" fontcolor="black"]
+"lxc2_monitor_0 rhel7-4" -> "all_stopped" [ style = bold]
 "lxc2_monitor_0 rhel7-4" [ style=bold color="green" fontcolor="black"]
+"lxc2_monitor_0 rhel7-5" -> "all_stopped" [ style = bold]
 "lxc2_monitor_0 rhel7-5" [ style=bold color="green" fontcolor="black"]
+"migrator_monitor_0 lxc2" -> "all_stopped" [ style = bold]
 "migrator_monitor_0 lxc2" [ style=bold color="green" fontcolor="black"]
+"petulant_monitor_0 lxc2" -> "all_stopped" [ style = bold]
 "petulant_monitor_0 lxc2" [ style=bold color="green" fontcolor="black"]
+"ping-1_monitor_0 lxc2" -> "all_stopped" [ style = bold]
 "ping-1_monitor_0 lxc2" [ style=bold color="green" fontcolor="black"]
+"r192.168.122.207_monitor_0 lxc2" -> "all_stopped" [ style = bold]
 "r192.168.122.207_monitor_0 lxc2" [ style=bold color="green" fontcolor="black"]
+"r192.168.122.208_monitor_0 lxc2" -> "all_stopped" [ style = bold]
 "r192.168.122.208_monitor_0 lxc2" [ style=bold color="green" fontcolor="black"]
+"rsc_rhel7-1_monitor_0 lxc2" -> "all_stopped" [ style = bold]
 "rsc_rhel7-1_monitor_0 lxc2" [ style=bold color="green" fontcolor="black"]
+"rsc_rhel7-2_monitor_0 lxc2" -> "all_stopped" [ style = bold]
 "rsc_rhel7-2_monitor_0 lxc2" [ style=bold color="green" fontcolor="black"]
+"rsc_rhel7-3_monitor_0 lxc2" -> "all_stopped" [ style = bold]
 "rsc_rhel7-3_monitor_0 lxc2" [ style=bold color="green" fontcolor="black"]
+"rsc_rhel7-4_monitor_0 lxc2" -> "all_stopped" [ style = bold]
 "rsc_rhel7-4_monitor_0 lxc2" [ style=bold color="green" fontcolor="black"]
+"rsc_rhel7-5_monitor_0 lxc2" -> "all_stopped" [ style = bold]
 "rsc_rhel7-5_monitor_0 lxc2" [ style=bold color="green" fontcolor="black"]
+"stateful-1_monitor_0 lxc2" -> "all_stopped" [ style = bold]
 "stateful-1_monitor_0 lxc2" [ style=bold color="green" fontcolor="black"]
 }
Index: pacemaker-1.1.19+20181105.ccd6b5b10/pengine/test10/whitebox-ms-ordering-move.exp
===================================================================
--- pacemaker-1.1.19+20181105.ccd6b5b10.orig/pengine/test10/whitebox-ms-ordering-move.exp
+++ pacemaker-1.1.19+20181105.ccd6b5b10/pengine/test10/whitebox-ms-ordering-move.exp
@@ -459,6 +459,66 @@
     </action_set>
     <inputs>
       <trigger>
+        <rsc_op id="26" operation="monitor" operation_key="rsc_rhel7-1_monitor_0" on_node="lxc2" on_node_uuid="lxc2" router_node="rhel7-1"/>
+      </trigger>
+      <trigger>
+        <rsc_op id="27" operation="monitor" operation_key="rsc_rhel7-2_monitor_0" on_node="lxc2" on_node_uuid="lxc2" router_node="rhel7-1"/>
+      </trigger>
+      <trigger>
+        <rsc_op id="28" operation="monitor" operation_key="rsc_rhel7-3_monitor_0" on_node="lxc2" on_node_uuid="lxc2" router_node="rhel7-1"/>
+      </trigger>
+      <trigger>
+        <rsc_op id="29" operation="monitor" operation_key="rsc_rhel7-4_monitor_0" on_node="lxc2" on_node_uuid="lxc2" router_node="rhel7-1"/>
+      </trigger>
+      <trigger>
+        <rsc_op id="30" operation="monitor" operation_key="rsc_rhel7-5_monitor_0" on_node="lxc2" on_node_uuid="lxc2" router_node="rhel7-1"/>
+      </trigger>
+      <trigger>
+        <rsc_op id="31" operation="monitor" operation_key="migrator_monitor_0" on_node="lxc2" on_node_uuid="lxc2" router_node="rhel7-1"/>
+      </trigger>
+      <trigger>
+        <rsc_op id="32" operation="monitor" operation_key="ping-1_monitor_0" internal_operation_key="ping-1:0_monitor_0" on_node="lxc2" on_node_uuid="lxc2" router_node="rhel7-1"/>
+      </trigger>
+      <trigger>
+        <rsc_op id="33" operation="monitor" operation_key="stateful-1_monitor_0" internal_operation_key="stateful-1:0_monitor_0" on_node="lxc2" on_node_uuid="lxc2" router_node="rhel7-1"/>
+      </trigger>
+      <trigger>
+        <rsc_op id="34" operation="monitor" operation_key="r192.168.122.207_monitor_0" on_node="lxc2" on_node_uuid="lxc2" router_node="rhel7-1"/>
+      </trigger>
+      <trigger>
+        <rsc_op id="35" operation="monitor" operation_key="petulant_monitor_0" on_node="lxc2" on_node_uuid="lxc2" router_node="rhel7-1"/>
+      </trigger>
+      <trigger>
+        <rsc_op id="36" operation="monitor" operation_key="r192.168.122.208_monitor_0" on_node="lxc2" on_node_uuid="lxc2" router_node="rhel7-1"/>
+      </trigger>
+      <trigger>
+        <rsc_op id="37" operation="monitor" operation_key="lsb-dummy_monitor_0" on_node="lxc2" on_node_uuid="lxc2" router_node="rhel7-1"/>
+      </trigger>
+      <trigger>
+        <rsc_op id="38" operation="monitor" operation_key="lxc1_monitor_0" on_node="rhel7-2" on_node_uuid="2"/>
+      </trigger>
+      <trigger>
+        <rsc_op id="39" operation="monitor" operation_key="lxc2_monitor_0" on_node="rhel7-2" on_node_uuid="2"/>
+      </trigger>
+      <trigger>
+        <rsc_op id="40" operation="monitor" operation_key="lxc1_monitor_0" on_node="rhel7-3" on_node_uuid="4"/>
+      </trigger>
+      <trigger>
+        <rsc_op id="41" operation="monitor" operation_key="lxc2_monitor_0" on_node="rhel7-3" on_node_uuid="4"/>
+      </trigger>
+      <trigger>
+        <rsc_op id="42" operation="monitor" operation_key="lxc1_monitor_0" on_node="rhel7-4" on_node_uuid="5"/>
+      </trigger>
+      <trigger>
+        <rsc_op id="43" operation="monitor" operation_key="lxc2_monitor_0" on_node="rhel7-4" on_node_uuid="5"/>
+      </trigger>
+      <trigger>
+        <rsc_op id="44" operation="monitor" operation_key="lxc1_monitor_0" on_node="rhel7-5" on_node_uuid="3"/>
+      </trigger>
+      <trigger>
+        <rsc_op id="45" operation="monitor" operation_key="lxc2_monitor_0" on_node="rhel7-5" on_node_uuid="3"/>
+      </trigger>
+      <trigger>
         <rsc_op id="110" operation="stop" operation_key="container1_stop_0" on_node="rhel7-1" on_node_uuid="1"/>
       </trigger>
       <trigger>
Index: pacemaker-1.1.19+20181105.ccd6b5b10/pengine/test10/whitebox-start.dot
===================================================================
--- pacemaker-1.1.19+20181105.ccd6b5b10.orig/pengine/test10/whitebox-start.dot
+++ pacemaker-1.1.19+20181105.ccd6b5b10/pengine/test10/whitebox-start.dot
@@ -1,5 +1,6 @@
 digraph "g" {
 "A_monitor_0 lxc2" -> "A_start_0 lxc1" [ style = bold]
+"A_monitor_0 lxc2" -> "all_stopped" [ style = bold]
 "A_monitor_0 lxc2" [ style=bold color="green" fontcolor="black"]
 "A_monitor_10000 lxc1" [ style=bold color="green" fontcolor="black"]
 "A_start_0 lxc1" -> "A_monitor_10000 lxc1" [ style = bold]
@@ -13,6 +14,7 @@ digraph "g" {
 "B_stop_0 lxc2" -> "B_start_0 18node3" [ style = bold]
 "B_stop_0 lxc2" -> "all_stopped" [ style = bold]
 "B_stop_0 lxc2" [ style=bold color="green" fontcolor="black"]
+"D_monitor_0 lxc2" -> "all_stopped" [ style = bold]
 "D_monitor_0 lxc2" [ style=bold color="green" fontcolor="black"]
 "M-clone_running_0" [ style=bold color="green" fontcolor="orange"]
 "M-clone_start_0" -> "M-clone_running_0" [ style = bold]
Index: pacemaker-1.1.19+20181105.ccd6b5b10/pengine/test10/whitebox-start.exp
===================================================================
--- pacemaker-1.1.19+20181105.ccd6b5b10.orig/pengine/test10/whitebox-start.exp
+++ pacemaker-1.1.19+20181105.ccd6b5b10/pengine/test10/whitebox-start.exp
@@ -200,6 +200,12 @@
     </action_set>
     <inputs>
       <trigger>
+        <rsc_op id="11" operation="monitor" operation_key="A_monitor_0" on_node="lxc2" on_node_uuid="lxc2" router_node="18node2"/>
+      </trigger>
+      <trigger>
+        <rsc_op id="12" operation="monitor" operation_key="D_monitor_0" on_node="lxc2" on_node_uuid="lxc2" router_node="18node2"/>
+      </trigger>
+      <trigger>
         <rsc_op id="32" operation="stop" operation_key="A_stop_0" on_node="18node1" on_node_uuid="1"/>
       </trigger>
       <trigger>
Index: pacemaker-1.1.19+20181105.ccd6b5b10/pengine/test10/whitebox-unexpectedly-running.dot
===================================================================
--- pacemaker-1.1.19+20181105.ccd6b5b10.orig/pengine/test10/whitebox-unexpectedly-running.dot
+++ pacemaker-1.1.19+20181105.ccd6b5b10/pengine/test10/whitebox-unexpectedly-running.dot
@@ -11,11 +11,13 @@
 "all_stopped" -> "remote1_start_0 18builder" [ style = bold]
 "all_stopped" -> "remote2_start_0 18builder" [ style = bold]
 "all_stopped" [ style=bold color="green" fontcolor="orange"]
+"remote1_monitor_0 18builder" -> "all_stopped" [ style = bold]
 "remote1_monitor_0 18builder" -> "remote1_start_0 18builder" [ style = bold]
 "remote1_monitor_0 18builder" [ style=bold color="green" fontcolor="black"]
 "remote1_monitor_30000 18builder" [ style=bold color="green" fontcolor="black"]
 "remote1_start_0 18builder" -> "remote1_monitor_30000 18builder" [ style = bold]
 "remote1_start_0 18builder" [ style=bold color="green" fontcolor="black"]
+"remote2_monitor_0 18builder" -> "all_stopped" [ style = bold]
 "remote2_monitor_0 18builder" -> "remote2_start_0 18builder" [ style = bold]
 "remote2_monitor_0 18builder" [ style=bold color="green" fontcolor="black"]
 "remote2_monitor_30000 18builder" [ style=bold color="green" fontcolor="black"]
Index: pacemaker-1.1.19+20181105.ccd6b5b10/pengine/test10/whitebox-unexpectedly-running.exp
===================================================================
--- pacemaker-1.1.19+20181105.ccd6b5b10.orig/pengine/test10/whitebox-unexpectedly-running.exp
+++ pacemaker-1.1.19+20181105.ccd6b5b10/pengine/test10/whitebox-unexpectedly-running.exp
@@ -160,6 +160,12 @@
         <rsc_op id="1" operation="stop" operation_key="FAKE-crashed_stop_0" on_node="18builder" on_node_uuid="5"/>
       </trigger>
       <trigger>
+        <rsc_op id="3" operation="monitor" operation_key="remote1_monitor_0" on_node="18builder" on_node_uuid="5"/>
+      </trigger>
+      <trigger>
+        <rsc_op id="4" operation="monitor" operation_key="remote2_monitor_0" on_node="18builder" on_node_uuid="5"/>
+      </trigger>
+      <trigger>
         <pseudo_event id="14" operation="stonith_complete" operation_key="stonith_complete"/>
       </trigger>
     </inputs>
